<!DOCTYPE html>
<div class="adds">
  <form #bookDetails="ngForm" (ngSubmit)="addBook()"><br>
    <div class="l1"><label> ISBN-No:</label><input type="text" required #isbn="ngModel"
      [class.is-valid]="isbn.valid && isbn.touched" name="isbn"  [(ngModel)]="book.isbn">
    </div><br>
    <div class="l1"><label> Title:</label>
      <input type="text" required #bookTitle="ngModel" [class.is-valid]="bookTitle.valid && bookTitle.touched"
      name="bookTitle" [(ngModel)]="book.bookTitle">
    </div><br>
    <div class="l1"><label> Author:</label>
      <input type="text" required #bookAuthor="ngModel" [class.is-valid]="bookAuthor.valid && bookAuthor.touched"
      name="bookAuthor" [(ngModel)]="book.bookAuthor">
    </div><br>
    <div class="l1"><label>Description:</label>
      <input type="text" required #bookDescription="ngModel" [class.is-valid]="bookDescription.valid && bookDescription.touched"
      name="bookDescription" [(ngModel)]="book.bookDescription">
    </div><br>
    <div class="buttons"><button type="submit">Add</button></div>
  </form>
</div>